Hooks:PostHook(WeaponTweakData, "init", "mcx_gen1_part_fix_init", function(self)

	--Flashlights
	-- If you're reading this file and want to adjust the positioning of the gadgets
	-- Look at Vector3 (X,Y,Z)
	-- Positive values in X will move the attachment left and negative right (if the gun is facing you), respectively
	-- Positive values in Y will move the attachment forwards and negative backwards, respectively
	-- Positive values in Z will move the attachment up and negative down, respectively
	

if self.SetupAttachmentPoint then	
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_o",
        base_a_obj = "a_o",
        position = Vector3( 0.0, -1.16, 1 ), 
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "mcx_rattler", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3(0, -9.4,0 ),
		rotation = RotationCAP(0, 0, 0)
	})

	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_lrail",
        base_a_obj = "a_body",
        position = Vector3( -1, 2, 5),
        rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_fl_left",
        base_a_obj = "a_fl",
		position = Vector3(-5.5, -9.4, 2.75),
		rotation = RotationCAP(0, 0, 180)
    })

	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_s_og",
        base_a_obj = "a_s",
        position = Vector3( 0, 0, 0),
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_s",
        base_a_obj = "a_s",
        position = Vector3( 0, -1.57, 1.33),
        rotation = RotationCAP( 0, 0, 0 )
    })

	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_fl_top",
        base_a_obj = "a_o",
        position = Vector3( 0.0, 3.16, 1 ), 
        rotation = RotationCAP( 0, 0, -90 )
    })

	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_or",
        base_a_obj = "a_o",
        position = Vector3( 0.0, -17, 1.16 ), 
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_of_rattler",
        base_a_obj = "a_o",
        position = Vector3( 0.0, 9, 1.16 ), 
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_of_10",
        base_a_obj = "a_o",
        position = Vector3( 0.0, 25, 1.16 ), 
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_of_12",
        base_a_obj = "a_o",
        position = Vector3( 0.0, 30, 1.16 ), 
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "mcx_rattler", {
        name = "a_of_16",
        base_a_obj = "a_o",
        position = Vector3( 0.0, 34, 1.16 ), 
        rotation = RotationCAP( 0, 0, 0 )
    })
end

end)

